let imgHelper = lib.img({
    'class':'lib-img',//图片class
    'dataSrc':'data-src',//图片真实src 的data字段
    'size': '320x320',//cdn尺寸
    'sharpen': 's150',//锐化参数
    'q': ['q90', 'q50'],//图片质量[非弱网，弱网]
    'enableLazyload':true, //是否开启懒加载功能，默认true,
    'lazyHeight': 0,//[可选]，预加载当前屏幕以下lazyHeight内的图片，默认0
    'lazyWidth': 0,//[可选]，预加载当前屏幕右边lazyWidth内的图片，默认0
    'enalbeIOSWifiLoadMore':false, //ios&&wifi情况下 是否取消懒加载,采用一次性加载，默认false,
    'enableIOSWebp': true,
    'filterDomains':[]//自定义过滤的域名命令，适用于不能收敛的域名url
});

let img = {
    get(src , size){
        size += "";
        if(size.indexOf('x') == -1){
            size = size + 'x' + size;
        }
        return imgHelper.getNewUrl(src , size);
    },
    getXz(src , size){
        size += "";
        if(size.indexOf('x') == -1){
            size = size + 'x' + size ;
        }
        return imgHelper.getNewUrl(src , {size:size , type:'xz'});
    }
}

module.exports = img;