## the reactjs user guide

````
reactjs show the help of reactjs
reactjs -h : ') + 'show the help of reactjs
reactjs -i <projectName>: init a project named <projectName>
reactjs -p <pageName>: create one page name <pageName>
reactjs -c <componentName>: create one component name <componentName>
reactjs <componentName>: create one component name <componentName>
````



## the standard proceed
1. create an empty directory and init the project
````
    mkdir app-test
    cd app-test
    reactjs -i app-test
````

2. install the dependencies for your project
````
    tnpm install
````

3. create the page 
````
    reactjs -p index 
````

4. create the component
````
    reactjs -c item
````

5. start your react service and test you page
````
    gulp service
    //http://idle.h5.m.taobao.com:8080/src/pages/index.htm
````



