Date.prototype.format = function (fmt) { //author: meizz 
    var o = {
        "M+": this.getMonth() + 1, //月份 
        "d+": this.getDate(), //日 
        "h+": this.getHours(), //小时 
        "m+": this.getMinutes(), //分 
        "s+": this.getSeconds(), //秒 
        "q+": Math.floor((this.getMonth() + 3) / 3), //季度 
        "S": this.getMilliseconds() //毫秒 
    };
    if (/(y+)/.test(fmt)) {
        fmt = fmt.replace(RegExp.$1, (this.getFullYear() + "").substr(4 - RegExp.$1.length));
    }
    for (var k in o){
        if (new RegExp("(" + k + ")").test(fmt)) {
            fmt = fmt.replace(RegExp.$1, (RegExp.$1.length == 1) ? (o[k]) : (("00" + o[k]).substr(("" + o[k]).length)));
        }
    }
    return fmt;
}
Date.prototype.showTime = function (){
    var now = new Date();
    if(now.getTime() - this.getTime() > 10 * 24 * 3600 * 1000) {
        return this.format("yyyy-MM-dd");
    }
    else if(now.getTime() - this.getTime() > 24 * 3600 * 1000){
        return parseInt((now.getTime() - this.getTime()) / 24 / 3600 / 1000) + '小时前';
    }
    else if(now.getTime() - this.getTime() > 3600 * 1000) {
        return parseInt((now.getTime() - this.getTime()) / 3600 / 1000) + '小时前';
    }
    else if(now.getTime() - this.getTime() > 60 * 1000) {
        return parseInt((now.getTime() - this.getTime()) / 60 / 1000) + '分钟前';
    }
    else{
        return '刚刚';
    } 
}

