let link = {
    openWindow(url , option={}){
        let getSpmUrl = function(link , spmC, spmD){
            try{
                if(spmA && spmB && spmC && spmD){
                    let spm = [spmA , spmB , spmC , spmD].join('.');
                    link.params.spm = spm;
                    return link.toString();
                }
                else{
                    return link.toString();
                }
            }catch(e){
                return link.toString();
            }
        }
        let absoluteUrl = url;
        if(!option.isAbsoluteUrl){
            let a = document.createElement('a');
            a.href = url;
            url = a.href;
            let link = lib.httpurl(url);
            if(option.params){
                link.params = option.params;
            }
            absoluteUrl = getSpmUrl(link , option.spmC , option.spmD) ;
        }
        
        if(!WindVane.isAvailable){
            window.location = absoluteUrl;
        }
        else{
            let params = {
                url: absoluteUrl,
                popBeforeOpen: false
            };
            window.WindVane.call('Base', 'openWindow', params, function(data) {
                console.log('success:' + JSON.stringify(data));
            }, function(e) {
                location.href = absoluteUrl;
            });
        }   
    },
    getParam(name){
        var ts = window.location.search.substring(1).split('&');
        for(var i=0;i<ts.length;i++){
            var t = ts[i].split('=');
            if(t[0] == name){
                return t[1];
            }
        }
        return '';
    }
}

module.exports = link;

